Subject: bug#18643: 25.0.50; elisp--expect-function-p

From: Leo Liu <[email-masked]>
Date: Sat, 11 Oct 2014 08:25:20 +0800

On 2014-10-11 00:53 +0400, Dmitry Gutov wrote:
> The "complemented" part there gives me pause: we just got out of the
> situation when a person writing prose in a docstring kept getting Lisp
> functions in completions.
>
> I rather think the right solution would start with a stricter
> convention for code snippets in docstrings.

This gives me a sense that you are thinking about a situation when
someone uses company and has the completions displayed immediately.

If true I am dubious with this change. Are we to switch to company by
default?

In standard default emacs behaviour, I had never getting anything
without me asking for it, be it in comments or strings or code. They
only appear when I ask.

Leo